## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global soversion 7

Name:           noopenh264
Version:        2.5.0
Release:        %autorelease
Summary:        Fake implementation of the OpenH264 library

License:        BSD-2-Clause and LGPL-2.1-or-later
URL:            https://gitlab.com/freedesktop-sdk/noopenh264
%global tag v%{version}
Source:         %{url}/-/archive/%{tag}/noopenh264-%{tag}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  meson

# Explicitly conflict with openh264 that ships the actual
# non-dummy version of the library.
Conflicts:      openh264

%description
Fake implementation of the OpenH264 library we can link from
regardless of the actual library being available.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Explicitly conflict with openh264-devel that ships the actual
# non-dummy version of the library.
Conflicts:      openh264-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n noopenh264-%{tag}


%build
%meson
%meson_build


%install
%meson_install

# Remove static library
rm $RPM_BUILD_ROOT%{_libdir}/*.a


%files
%license COPYING*
%doc README
%{_libdir}/libopenh264.so.%{soversion}
%{_libdir}/libopenh264.so.%{version}

%files devel
%{_includedir}/wels/
%{_libdir}/libopenh264.so
%{_libdir}/pkgconfig/openh264.pc


%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 19 2024 Kalev Lember <klember@redhat.com> - 2.5.0-1
- Update to 2.5.0
- Adjust spec file now that noopenh264 follows openh264 versioning

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0~openh264_2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Apr 24 2024 Kalev Lember <klember@redhat.com> - 0.1.0~openh264_2.4.1-1
- Update for openh264 2.4.1

* Thu Feb 08 2024 Kalev Lember <klember@redhat.com> - 0.1.0~openh264_2.4.0-1
- Update for openh264 2.4.0

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0~openh264_2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0~openh264_2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 06 2023 Kalev Lember <klember@redhat.com> - 0.1.0~openh264_2.3.1-1
- Switch to using upstream openh264-2.3.1 tag
- Make sure the matching openh264 version is listed as part of the rpm
  version tag
- Stop using forge macros to get better control over the version and
  release tags

* Mon Nov 06 2023 Kalev Lember <klember@redhat.com> - 0.1-2
- Move pkg-config file to correct subpackage

* Mon Nov 06 2023 Kalev Lember <klember@redhat.com> - 0.1-1
- Initial Fedora packaging (rhbz#2247274)
## END: Generated by rpmautospec
